## rtponviftimestamp rtponviftimestamp |

## Properties

guint | cseq | Read / Write
guint64 | ntp-offset | Read / Write
gboolean | set-e-bit | Read / Write

## Types and Values

struct | GstRtpOnvifTimestamp

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstRtpOnvifTimestamp

## Description

## Synopsis

### Element Information

plugin | rtponvif
author | Guillaume Desmottes <guillaume.desmottes@collabora.com>
class | Effect/RTP

### Element Pads

name | sink
direction | sink
presence | always
details | application/x-rtp

name | src
direction | source
presence | always
details | application/x-rtp

## Functions

## Types and Values

### struct GstRtpOnvifTimestamp

    struct GstRtpOnvifTimestamp;

## Property Details

### The `“cseq”` property

      “cseq”                     guint

The RTSP CSeq which initiated the playback.

Flags: Read / Write

Default value: 0

### The `“ntp-offset”` property

      “ntp-offset”               guint64

Offset between the pipeline running time and the absolute UTC time, in nano-seconds since 1900 (-1 for automatic computation).

Flags: Read / Write

Default value: 18446744073709551615

### The `“set-e-bit”` property

      “set-e-bit”                gboolean

If the element should set the 'E' bit as defined in the ONVIF RTP extension. This increases latency by one packet.

Flags: Read / Write

Default value: FALSE